Package org.openoffice.da.comp.writer2latex

# Class BibTeXDialog

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.DialogAccess
org.openoffice.da.comp.w2lcommon.helper.DialogBase
org.openoffice.da.comp.writer2latex.BibTeXDialog

All Implemented Interfaces:
  `com.sun.star.awt.XDialogEventHandler`, `com.sun.star.lang.XInitialization`, `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XServiceName`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.ui.dialogs.XExecutableDialog`, `com.sun.star.uno.XInterface`

public class BibTeXDialog extends DialogBase implements com.sun.star.lang.XInitialization
This class provides a UNO dialog to insert a BibTeX bibliographic reference

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`__implementationName`
The implementation name of the component
`static String`
`__serviceName`
The component will be registered under this service name

### Fields inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogBase

`xContext`

### Fields inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`CHECKBOX_CHECKED, CHECKBOX_DONT_KNOW, CHECKBOX_NOT_CHECKED`

### Fields inherited from interface com.sun.star.awt.XDialogEventHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.ui.dialogs.XExecutableDialog

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XInitialization

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceName

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`BibTeXDialog(com.sun.star.uno.XComponentContext xContext)`
Create a new BibTeXDialog

## Method Summary

Modifier and Type
Method
Description
`boolean`
`callHandlerMethod(com.sun.star.awt.XDialog xDialog, Object event, String sMethod)`
`void`
`endDialog()`
End the dialog after execution (eg. save settings to the registry) The subclass must implement this
`String`
`getDialogLibraryName()`
Return the name of the library containing the dialog
`String`
`getDialogName()`
Return the name of the dialog within the library
`protected com.sun.star.awt.XDialog`
`getNewDialog()`
`String[]`
`getSupportedMethodNames()`
`void`
`initialize()`
Initialize the dialog (eg. with settings from the registry) The subclass must implement this
`void`
`initialize(Object[] objects)`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogBase

`execute, getImplementationId, getImplementationName, getServiceName, getSupportedServiceNames, getTypes, setTitle, supportsService`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`getCheckBoxState, getCheckBoxStateAsBoolean, getComboBoxText, getControlEnabled, getControlProperties, getDateFieldValue, getDialog, getFormattedFieldText, getLabelText, getListBoxLineCount, getListBoxSelectedItem, getListBoxStringItemList, getNumericFieldValue, getTextFieldText, setCheckBoxState, setCheckBoxStateAsBoolean, setComboBoxText, setControlEnabled, setDateFieldValue, setDialog, setFormattedFieldText, setLabelText, setListBoxLineCount, setListBoxSelectedItem, setListBoxStringItemList, setNumericFieldValue, setTextFieldText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __serviceName

public static String __serviceName
The component will be registered under this service name

### __implementationName

public static String __implementationName
The implementation name of the component

## Constructor Details

### BibTeXDialog

public BibTeXDialog(com.sun.star.uno.XComponentContext xContext)
Create a new BibTeXDialog

## Method Details

### initialize

public void initialize(Object[] objects) throws com.sun.star.uno.Exception

Specified by:
  `initialize` in interface `com.sun.star.lang.XInitialization`
Throws:
  `com.sun.star.uno.Exception`

### getDialogLibraryName

public String getDialogLibraryName()
Return the name of the library containing the dialog

Specified by:
  `getDialogLibraryName` in class `DialogBase`

### getDialogName

public String getDialogName()
Return the name of the dialog within the library

Specified by:
  `getDialogName` in class `DialogBase`

### initialize

public void initialize()
Description copied from class: `DialogBase`
Initialize the dialog (eg. with settings from the registry) The subclass must implement this

Specified by:
  `initialize` in class `DialogBase`

### endDialog

public void endDialog()
Description copied from class: `DialogBase`
End the dialog after execution (eg. save settings to the registry) The subclass must implement this

Specified by:
  `endDialog` in class `DialogBase`

### callHandlerMethod

public boolean callHandlerMethod(com.sun.star.awt.XDialog xDialog, Object event, String sMethod)

Specified by:
  `callHandlerMethod` in interface `com.sun.star.awt.XDialogEventHandler`
Overrides:
  `callHandlerMethod` in class `DialogBase`

### getSupportedMethodNames

public String[] getSupportedMethodNames()

Specified by:
  `getSupportedMethodNames` in interface `com.sun.star.awt.XDialogEventHandler`
Overrides:
  `getSupportedMethodNames` in class `DialogBase`

### getNewDialog

protected com.sun.star.awt.XDialog getNewDialog()